<?php

namespace Ardent\PipelineBundle\Pipeline\OptionsProcessor;

use Psr\Log\LoggerInterface;

interface OptionsStageInterface
{
    /**
     * @return Item[] New items
     */
    public function __invoke(Item $item): array;

    public function setLogger(LoggerInterface $logger): void;

    public function before(ItemBag $items): void;

    public function after(ItemBag $items): void;

    public function setOptions(Options $options): void;
}